Brand Lookup
curl --request GET \
--url https://api.orchestrasolutions.com/Tools/brand \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.orchestrasolutions.com/Tools/brand"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.orchestrasolutions.com/Tools/brand', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"brand": "<string>",
"brandLogoUrl": "<string>"
}[
{
"fieldName": "<string>",
"errors": [
"<string>"
]
}
]Card Tools
Brand Lookup
This method allows you to lookup the brand of the card provided. By providing the card’s BIN / IIN (the first 6 to 11 digits of the card number), we lookup and return the brand of the card (Visa, Mastercard, Amex, etc.). In addition, we will also provide the URL to the logo of the card brand - you can then reference this image in your card capture form.
GET
/
Tools
/
brand
Brand Lookup
Brand Lookup Guide
Complete guide with examples, parameters, and best practices
Authorizations
Please enter ApiKey into field
Query Parameters
Card's BIN / IIN (the first 6 to 11 digits of the card number)
Pattern:
\d{6,11}